Utility

Utility functions and special permissions functions

Get internal projects

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
searchstringOptional

Search term for filtering projects by name or other attributes

Responses
chevron-right
200Success
application/json
get
/v1/utils/internal/projects
200Success

Get an internal project by ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the internal project

Responses
chevron-right
200Success
application/json
get
/v1/utils/internal/projects/{id}
200Success

Refresh CarbonRegistry.com's onchain transaction indexers

post

Pings our indexers. Could be used to speed up CarbonRegistry.com's indexing of onchain data.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200Success
application/json
successbooleanRequired

Whether the indexer was successfully pinged

post
/v1/utils/indexer/refresh
200Success

Get some credits from the friendbot

get

This endpoint sends 100 credits to the organization account that owns the calling api key. Only on testnet.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200Success
application/json
serializationstringRequired

The serialization string representing the credit to be transfered

Example: ICR-ALB-355-77993-2-A-0-2023
amountnumberRequired

The amount of credits sent to your address

Example: 1000
transactionIdstringRequired

The onchain transaction hash

Example: 0xcc73d182db1f36dbadf14205de7d543cfd1343396b50d34c768529aaab46a1c0
get
/v1/{id}/friendbot
200Success

Last updated